// ignore_for_file: prefer_const_constructors
import 'package:backyard/backyard.dart';
import 'package:test/test.dart';

void main() {
  group('Backyard', () {
    test('can be instantiated', () {
      expect(Backyard(), isNotNull);
    });

    test('can run functions properly', () async {
      final backyard = Backyard();

      await backyard.init();

      final result = await backyard.execute<int>(() => 1 + 2);

      expect(result, 3);
    });
  });
}
